<div>
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">
      <!--Mã nhân viên-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="employeeCode"
          [mbDisable]="true"
          mbPlaceholderText="{{'staffManager.staffResearch.personalInformation.table.employeeCode' | translate}}"
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.employeeCode' | translate}}"></mb-input-text>
      </div>

      <!--Tên nhân viên-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="fullName"
          [mbDisable]="true"
          mbPlaceholderText="{{'staffManager.staffResearch.personalInformation.table.fullName' | translate}}"
          mbLabelText="{{'staffManager.staffResearch.personalInformation.table.fullName' | translate}}"></mb-input-text>
      </div>

      <!--Người quản lý trực tiếp-->
      <div nz-col nzXs='12' nzLg='12' class="select__employee">
        <employee-data-picker
          [mbCanText]="true"
          formControlName="manager"
          status='WORKING'
          [mbType]="isSubmitted && form.controls['manager'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['manager'].errors !== null"
          [mbErrors]="form.controls['manager'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.manager.label.manager' | translate }}]"
          mbLabelText="{{'staffManager.staffResearch.manager.label.manager' | translate}} <span class='label__required'>*</span>"
        >
        </employee-data-picker>
      </div>

      <!--Người quản lý gián tiếp-->
      <div nz-col nzXs='12' nzLg='12' class="select__employee">
        <employee-data-picker
          [mbCanText]="true"
          formControlName="indirectManager"
          status='WORKING'
          mbLabelText="{{'staffManager.staffResearch.manager.label.indirectManager' | translate}}"
        >
        </employee-data-picker>
      </div>



      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='12'>
        <mb-date-picker
          formControlName="fromDate"
          [mbType]="isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
          [mbErrors]="form.controls['fromDate'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.staffResearch.manager.table.fromDate' | translate }}]"
          mbLabelText="{{'staffManager.staffResearch.manager.table.fromDate' | translate}} <span class='label__required'>*</span>"
          mbPlaceholderText="{{'staffManager.staffResearch.manager.table.fromDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đến ngày-->
      <div nz-col nzXs='12' nzLg='12'>
        <mb-date-picker
          formControlName="toDate"
          [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['toDate'].errors !== null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[{ errorName: 'toDateNotAfterFromDate', errorDescription: 'staffManager.staffResearch.manager.label.toDateNotAfterFromDate' | translate: {'param': 'staffManager.staffResearch.manager.table.toDate' | translate }}]"
          mbLabelText="{{'staffManager.staffResearch.manager.table.toDate' | translate}}"
          mbPlaceholderText="{{'staffManager.staffResearch.manager.table.toDate' | translate}}"
        ></mb-date-picker>
      </div>

      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbMaxLength]="550"
          mbPlaceholderText="{{'staffManager.staffResearch.manager.table.note' | translate}}"
          mbLabelText="{{'staffManager.staffResearch.manager.table.note' | translate}}"
          formControlName="note"></mb-input-text>
      </div>

      <div nz-col nzXs="24" nzLg="24" align="right">
        <button nz-button nzType="default" (click)="closeModalAdd()">{{'staffManager.staffResearch.manager.table.cancel' | translate}}</button>
        <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                 (click)="save()"
                 mbButtonText="{{'staffManager.staffResearch.manager.table.save' | translate}}"></mb-button>
      </div>
    </div>
  </form>
</div>
